<?php
session_start();

if ($_SESSION["qr"] != 'active'){
    header('Location: login.php');
    exit();
} 

include '../config.php';

$currenturl = "https://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";
$baseurl = strstr($currenturl, 'admin', true);

require_once "sleekdb/SleekDB.php";

$databaseDirectory = __DIR__ . "/db";
$currentstore = new \SleekDB\Store("redirects", $databaseDirectory);

$allitems = $currentstore->findAll(["_id" => "desc"]);

?>

<!doctype html>
<html lang="de">

<head>
    <title>_QRRD</title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="robots" content="noindex, nofollow">
    <meta name="language" content="de">
    <meta http-equiv="expires" content="0">

    <link rel="icon" href="<?php echo $baseurl; ?>assets/favicons/favicon.ico" sizes="any">
    <link rel="icon" href="<?php echo $baseurl; ?>assets/favicons/icon.svg" type="image/svg+xml">
    <link rel="apple-touch-icon" href="<?php echo $baseurl; ?>assets/favicons/apple-touch-icon.png">

    <link rel="stylesheet" type="text/css" href="<?php echo $baseurl; ?>assets/css/font-awesome.min.css">
    <link rel="stylesheet" type="text/css" href="<?php echo $baseurl; ?>assets/css/bootstrap.min.css">
    <link rel="stylesheet" type="text/css" href="<?php echo $baseurl; ?>assets/css/styles.css">

    <script type="text/javascript" src="<?php echo $baseurl; ?>assets/js/jquery.js"></script>
    <script type="text/javascript" src="<?php echo $baseurl; ?>assets/js/simply-toast.js"></script>
    <script type="text/javascript" src="<?php echo $baseurl; ?>assets/js/bootstrap.min.js"></script>
    <script type="text/javascript" src="<?php echo $baseurl; ?>assets/js/functions.js"></script>

</head>

<body>

    <div class="bodywrap">
        <div class="innerwrap">

            <div class="section header">
                <div class="container">
                    <div class="row">
                        <div class="col-6">
                            
                        <img src="<?php echo $baseurl; ?>assets/img/qrrd.svg" class="logo">

                        </div>

                        <div class="col-6 text-right">
                            
                        <a href="logout.php"><i class="fa fa-sign-out"></i></a>

                        </div>
                    </div>
                </div>
            </div>

            <!-- ****************** -->

            <div class="section padding30">
                <div class="container">
                    <div class="row">
                        <div class="col-12 col-md-3 pb-2">
                            <h2><b>Redirects</b></h2>
                        </div>   
                        
                        <div class="col-12 col-md-9 text-right pb-2">
                            <a href="export.php" class="f_btn f_btn_2">Export</a>
                            <a href="#!" class="f_btn f_btn_2 btn_newitem"><b>Neuer Eintrag</b></a>
                        </div> 
   
                        <div class="col-12 pb-3">
                            <div class="bg_white">
                               
                                <div class="first_f_row">
                                    <div class="f_col f_col_1">Link-ID</div>
                                    <div class="f_col f_col_2">Ziel-Adresse</div>
                                    <div class="f_col f_col_4">Aufrufe</div>
                                    <div class="f_col f_col_5"></div>
                                    <div class="clearer"></div>
                                </div>

                                <div class="f_row row_newitem" style="display:none;">
                                    <div class="f_col f_col_1">
                                        <input type="text" class="form-control newitem_link_id">
                                    </div>
                                    <div class="f_col f_col_2">
                                        <input type="text" class="form-control newitem_url">
                                    </div>
                                    <div class="f_col f_col_4"></div>
                                    <div class="f_col f_col_5">
                                    <a href="#" class="f_btn btn_newitem_exit"><i class="fa fa-times"></i></a>
                                    <a href="#" class="f_btn btn_newitem_save"><i class="fa fa-check"></i></a>
                                    </div>
                                    <div class="clearer"></div>
                                </div>
 

                               <?php 
                               foreach($allitems AS $item) {

                                echo'
                                <div class="f_row">
                                    <div class="f_col f_col_1">
                                        <span>'.$item['link-id'].'</span>
                                        <input type="text" class="form-control edit_field item_link_id" value="'.$item['link-id'].'" readonly>
                                    </div>
                                    <div class="f_col f_col_2">
                                        <span><a href="'.$item['ziel-adresse'].'" target="_blank">'.$item['ziel-adresse'].'</a></span>
                                        <input type="text" class="form-control edit_field item_url" value="'.$item['ziel-adresse'].'">
                                    </div>

                                    <div class="f_col f_col_4 item_hits">'.$item['hits'].'</div>
                                    <div class="f_col f_col_5">

                                        <input type="hidden" class="db_id" value="'.$item['_id'].'">

                                        <a href="#!" class="f_btn btn_clipboard"><i class="fa fa-clipboard"></i></a>
                                        <a href="'.$baseurl.'admin/qrcode.php?s=qr&d='.$baseurl.''.$item['link-id'].'&p=-50&w=1000&h=1000" class="f_btn btn_qr" download="qr-code-'.$item['link-id'].'.png"><i class="fa fa-qrcode"></i></a>
                                        <a href="#" class="f_btn btn_edit"><i class="fa fa-edit"></i></a>
                                        <a href="#" class="f_btn btn_trash"><i class="fa fa-trash-o"></i></a>

                                        <a href="#" class="f_btn btn_edit_confirm" style="display:none"><i class="fa fa-check"></i></a>
                                        <a href="#" class="f_btn btn_edit_exit" style="display:none"><i class="fa fa-times"></i></a>

                                        <a href="#" class="f_btn btn_delete_confirm" style="display:none"><i class="fa fa-check"></i></a>
                                        <a href="#" class="f_btn btn_delete_exit" style="display:none"><i class="fa fa-times"></i></a>
                                    </div>
                                    <div class="clearer"></div>
                                </div>';

                                }

                                ?>

                            </div>
                        </div>
                    

                        <div class="col-12">
                            <dic class="spacer50"></div>
                        </div> 

                        
                    </div>
                </div>
            </div>

            <!-- ****************** -->

       <!-- </div> -->

        <!-- ****************** -->

        <div class="section footer">
            <div class="container">
                <div class="row">
                    <div class="col-12"></div>
                </div>
            </div>
        </div>

        <!-- ****************** -->

    </div>

<script>

$('.btn_clipboard').click(function(e){
    e.preventDefault();
    var item_link_id = $(this).parent().parent().find('.item_link_id').val();
    navigator.clipboard.writeText("<?php echo $baseurl; ?>"+item_link_id);
    $.simplyToast('<?php echo $baseurl ?>'+item_link_id+' in die Zwischenablage kopiert.', 'success');
});        

$('.btn_newitem').click(function(e){
    e.preventDefault();
    $('.row_newitem').show();
});

$('.btn_newitem_exit').click(function(e){
    e.preventDefault();
    $('.row_newitem').hide();
});

$('.btn_newitem_save').click(function(e){
    e.preventDefault();
    var newitem_link_id = $(this).parent().parent().find('.newitem_link_id').val();
    var newitem_url = $(this).parent().parent().find('.newitem_url').val();

if (!newitem_link_id){
    $.simplyToast('Bitte Link-ID eintragen.', 'danger');
} else {

    $.post( "newitem.php", { 
    newitem_link_id: newitem_link_id, 
    newitem_url: newitem_url,
    })
    .done(function( data ) {  
                                                
    if(data == 'ok'){ 
    $.simplyToast('Eintrag gespeichert.', 'success');
    window.setTimeout(function(){ location.reload(true);}, 1500);
       
    } else {
    $.simplyToast(data, 'danger');
    }
    
    });
}
});


$('.btn_edit_confirm').click(function(e){
    e.preventDefault();
    var db_id = $(this).parent().parent().find('.db_id').val();
    var item_url = $(this).parent().parent().find('.item_url').val();

    $.post( "updateitem.php", { 
    db_id: db_id, 
    item_url: item_url,
    })
    .done(function( data ) {  
                                                
    if(data == 'ok'){ 
    $.simplyToast('Eintrag gespeichert.', 'success');
    //window.setTimeout(function(){ location.reload(true);}, 1500);
       
    } else {
    $.simplyToast(data, 'danger');
    }
    
    });

    $(this).parent().parent().find('.item_link_id').hide();
    $(this).parent().parent().find('.item_url').hide();

    $(this).parent().parent().find('.f_col_2 span').text(item_url);

});

$('.btn_delete_confirm').click(function(e){
    e.preventDefault();
    var db_id = $(this).parent().parent().find('.db_id').val();

    $.post( "deleteitem.php", { 
    db_id: db_id,
    })
    .done(function( data ) {  
    if(data == 'ok'){ 
    $(this).parent().parent().hide(300);
    $.simplyToast('Eintrag gelöscht.', 'success');  
    } else {
    $.simplyToast(data, 'danger');
    }
    });
    $(this).parent().parent().hide(300);
});

$('.btn_edit').click(function(e){
    e.preventDefault();
    $(this).parent().parent().find('span').hide();
    $(this).parent().parent().find('.edit_field').show();
    $(this).parent().find('.f_btn').hide();
    $(this).parent().find('.btn_edit_confirm, .btn_edit_exit').show();
});

$('.btn_edit_exit').click(function(e){
    e.preventDefault();
    $(this).parent().find('.f_btn').hide();
    $(this).parent().find('.btn_clipboard, .btn_qr, .btn_edit, .btn_trash').show();
    $(this).parent().parent().find('span').show();
    $(this).parent().parent().find('.edit_field').hide();
});

$('.btn_edit_confirm').click(function(e){
    e.preventDefault();
    $(this).parent().find('.f_btn').hide();
    $(this).parent().find('.btn_clipboard, .btn_qr, .btn_edit, .btn_trash').show();
    var new_product_id = $(this).parent().parent().find('.f_col_1').find('input').val();
    $(this).parent().parent().find('.f_col_1').find('span').text(new_product_id);
    
    var new_url = $(this).parent().parent().find('.f_col_2').find('input').val();
    $(this).parent().parent().find('.f_col_2').find('span').html('<a href="'+new_url+'" target="_blank">'+new_url+'</a>');
    
    $(this).parent().parent().find('span').show();
    $(this).parent().parent().find('.edit_field').hide();
});

$('.btn_trash').click(function(e){
    e.preventDefault();
    $(this).parent().find('.f_btn').hide();
    $(this).parent().find('.btn_delete_confirm, .btn_delete_exit').show();
});

$('.btn_delete_exit').click(function(e){
    e.preventDefault();
    $(this).parent().find('.f_btn').hide();
    $(this).parent().find('.btn_clipboard, .btn_qr, .btn_edit, .btn_trash').show();
});

jQuery.expr[":"].contains = jQuery.expr.createPseudo(function(arg) {
    return function(elem) {
        return jQuery(elem).text().toUpperCase().indexOf(arg.toUpperCase()) >= 0;
    };
});

$('#search').keyup(function() {
    var q = $('#search').val();
    $('.f_row').not('.f_row:contains(' + q + ')').hide();
    $('.f_row:contains(' + q + ')').show();
    $('.row_newitem').hide();
});

$('#search').blur(function() {
    var q = $('#search').val();
    $('.f_row').not('.f_row:contains(' + q + ')').hide();
    $('.f_row:contains(' + q + ')').show();
    $('.row_newitem').hide();
});

</script>

</body>
</html>